// 비밀번호 변경
$("#fAccountPassword").validate({
    onkeyup: false,
    onclick: false,
    onfocusout: false,
    showErrors: function (errorMap, errorList) {
        if (this.numberOfInvalids() && errorList.length > 0) {
            alert(errorList[0].message);
            $(errorList[0].element).focus();
        }
    },
    rules: {
        password: {required: true, is_password_able: true},
        password_confirmation: {required: true, equalTo: '#password'}
    },
    messages: {
        password: {
            required: "새 비밀번호를 입력해주세요.",
            minlength: "새 비밀번호는 최소 {0}자 이상입니다.",
            is_password_able: "새 비밀번호가 유효하지 않습니다."
        },
        password_confirmation: {
            required: "새 비밀번호를 재입력해 주세요.",
            minlength: "새 비밀번호는 {0}자 이상입니다.",
            equalTo: '새 비밀번호가 서로 일치하지 않습니다.'
        }
    }
});

// 정기 비밀번호 변경
$("#fAccountPasswordCampaign").validate({
    onkeyup: false,
    onclick: false,
    onfocusout: false,
    showErrors: function (errorMap, errorList) {
        if (this.numberOfInvalids() && errorList.length > 0) {
            alert(errorList[0].message);
            $(errorList[0].element).focus();
        }
    },
    rules: {
        password: {required: true},
        new_password: {required: true, is_password_able: true},
        new_password_confirmation: {required: true, equalTo: '#newPassword'}
    },
    messages: {
        password: {
            required: "현재 비밀번호를 입력해 주세요."
        },
        new_password: {
            required: "새 비밀번호를 입력해 주세요.",
            minlength: "새 비밀번호는 최소 {0}자 이상입니다.",
            is_password_able: "새 비밀번호가 유효하지 않습니다."
        },
        new_password_confirmation: {
            required: "새 비밀번호를 재입력해 주세요.",
            minlength: "새 비밀번호는 {0}자 이상입니다.",
            equalTo: '새 비밀번호가 서로 일치하지 않습니다.'
        }
    }
});

// 정기 비밀번호 변경 다음에 하기
$(document).on("click", "#btnPasswordCampaignSkip", function() {
    $.post(BASE_URL + "/api/passwordCampaignSkip", function() {
        location.replace('/account');
    });
});
